#include <glib.h>
#include "util.h"

gchar * strdup_convert ( const gchar * str,
                         const gchar * enc_to,
                         const gchar * enc_from ) {
    gchar * conv;
    gsize b_read, b_written;
    conv = g_convert (str,
                      -1,
                      enc_to,
                      enc_from,
                      &b_read,
                      &b_written,
                      NULL);
    if (!conv) {
        printf("Unable to convert from %s charset; perhaps encoded differently?", enc_from);
        return g_strdup(str);
    }
    return conv;
}

